nlohmann::detail::input_buffer_adapter Class Reference

input adapter for buffer input More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::input_buffer_adapter:
[legend]
Collaboration diagram for nlohmann::detail::input_buffer_adapter:
[legend]

## Public Member Functions

| input_buffer_adapter (const char *b, const std::size_t l) noexcept
| input_buffer_adapter (const input_buffer_adapter &)=delete
input_buffer_adapter & | operator= (input_buffer_adapter &)=delete
| input_buffer_adapter (input_buffer_adapter &&)=delete
input_buffer_adapter & | operator= (input_buffer_adapter &&)=delete
| ~input_buffer_adapter () override=default
std::char_traits< char >::int_type | get_character () noexcept override
| get a character [0,255] or std::char_traits<char>::eof(). More...
Public Member Functions inherited from nlohmann::detail::input_adapter_protocol
virtual | ~input_adapter_protocol ()=default

## Detailed Description

input adapter for buffer input

## Constructor & Destructor Documentation

## input_buffer_adapter() [1/3]

nlohmann::detail::input_buffer_adapter::input_buffer_adapter | ( | const char * | b,
|  | const std::size_t | l
| ) |  |

inlinenoexcept

## input_buffer_adapter() [2/3]

nlohmann::detail::input_buffer_adapter::input_buffer_adapter | ( | const input_buffer_adapter & |  | ) |

delete

## input_buffer_adapter() [3/3]

nlohmann::detail::input_buffer_adapter::input_buffer_adapter | ( | input_buffer_adapter && |  | ) |

delete

## ~input_buffer_adapter()

nlohmann::detail::input_buffer_adapter::~input_buffer_adapter | ( |  | ) |

overridedefault

## Member Function Documentation

## get_character()

std::char_traits<char>::int_type nlohmann::detail::input_buffer_adapter::get_character | ( |  | ) |

inlineoverridevirtualnoexcept

get a character [0,255] or std::char_traits<char>::eof().

Implements nlohmann::detail::input_adapter_protocol.

## operator=() [1/2]

input_buffer_adapter& nlohmann::detail::input_buffer_adapter::operator= | ( | input_buffer_adapter && |  | ) |

delete

## operator=() [2/2]

input_buffer_adapter& nlohmann::detail::input_buffer_adapter::operator= | ( | input_buffer_adapter & |  | ) |

delete

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp